complexType "Strategy"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 5 elements
Defined: | globally in fpml-doc-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType+, productId*, assetClass+, premiumProductReference?, product*
</...>

Content Model Elements (5):

  assetClass, premiumProductReference, product, productId, productType

All Direct / Indirect Based Elements (1):

  strategy

Known Usage Locations

- As direct type of elements (1):
  strategy

Annotation
A type defining a group of products making up a single trade.
Type Definition Detail

Type Derivation Tree Product (extension) Strategy

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="Strategy"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"/> <xsd:element maxOccurs="unbounded" minOccurs="0" ref="product"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/5)
premiumProductReference

  Type: | ProductReference, empty content

  Indicates which product within a strategy represents the premium payment.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premiumProductReference" type="ProductReference"/>

product

  Type: | Product, complex content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 25 elements

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" ref="product"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.